Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_encoder_t Struct Reference

`#include <dirac_encoder.h>`

Collaboration diagram for dirac_encoder_t:
[legend]

List of all members.

## Public Attributes

- dirac_encoder_context_t enc_ctx
- int encoded_picture_avail
- dirac_enc_data_t enc_buf
- dirac_picparams_t enc_pparams
- dirac_enc_picstats_t enc_pstats
- dirac_enc_seqstats_t enc_seqstats
- int end_of_sequence
- int decoded_frame_avail
- dirac_framebuf_t dec_buf
- dirac_picparams_t dec_pparams
- dirac_instr_t instr
- int instr_data_avail
- const void * compressor

## Detailed Description

Structure that holds the information returned by the encoder

## Member Data Documentation

dirac_encoder_context_t dirac_encoder_t::enc_ctx

Encoder context

int dirac_encoder_t::encoded_picture_avail

encoded picture available flag

dirac_enc_data_t dirac_encoder_t::enc_buf

encoded output. This buffer must be initialised by the user of the library

dirac_picparams_t dirac_encoder_t::enc_pparams

encoded picture params

dirac_enc_picstats_t dirac_encoder_t::enc_pstats

encoded picture stats

dirac_enc_seqstats_t dirac_encoder_t::enc_seqstats

encoded sequence stats

int dirac_encoder_t::end_of_sequence

end of sequence

int dirac_encoder_t::decoded_frame_avail

dirac_framebuf_t dirac_encoder_t::dec_buf

locally decoded output buffer. This buffer is allocated and managed by the encoder library

dirac_picparams_t dirac_encoder_t::dec_pparams

locally decoded picture params

dirac_instr_t dirac_encoder_t::instr

instrumentation data buffer. This buffer is allocated and managed by the encoder library.

int dirac_encoder_t::instr_data_avail

instrumentation data available flag 1 - instrumentation data available in instr 0 - linstrumentation data not available.

const void* dirac_encoder_t::compressor

void pointer to internal sequence compressor

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.